/* honeytrap.h
 * Copyright (C) 2005-2006 Tillmann Werner <tillmann.werner@gmx.de>
 *
 * This file is free software; as a special exception the author gives
 * unlimited permission to copy and/or distribute it, with or without
 * modifications, as long as this notice is preserved.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef __HONEYTRAP_MAIN_H
#define __HONEYTRAP_MAIN_H 1

#include <sys/types.h>
#include <netinet/in.h>
#include <pcap.h>
#include <pwd.h>
#include <grp.h>
#include <dlfcn.h>

#if HAVE_CONFIG_H
# include <config.h>
#endif


#define EXCL_FILE_RW	O_CREAT | O_NOCTTY | O_APPEND | O_WRONLY
#define DEBUG_FPRINTF if (log_level == LOG_DEBUG) fprintf

char *conffile_name, **arg_v;
int arg_c;

// global variables regarding configuration

char *pidfile_name;
char *logfile_name;
char *dbfile_name;
char *dev;
char *response_dir;
char *plugin_dir;
char *attacks_dir;
char *dlsave_dir;
int daemonize;
int mirror_mode;
int promisc_mode;
uid_t u_id;
gid_t g_id;
u_int32_t conn_timeout;
u_int32_t read_timeout;
u_int32_t m_read_timeout;

// end of global config variables

int pidfile_fd;
char old_cwd[1000];
char *bpf_filter_string;
bpf_u_int32 mask;
bpf_u_int32 net;

pcap_t *tcp_sniffer, *udp_sniffer;
struct in_addr this_host;
pid_t parent_pid;
u_int p2p_offset;


#endif
