/* interface.h
 * Copyright (C) 2005 Tillmann Werner <tillmann.werner@gmx.de>
 *
 * This file is free software; as a special exception the author gives
 * unlimited permission to copy and/or distribute it, with or without
 * modifications, as long as this notice is preserved.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * This code is based on examples in R. Stevens' Unix Network Programming.
 */

#ifndef __HONEYTRAP_NETIF_H
#define __HONEYTRAP_NETIF_H 1

#include <net/if.h>

#define IF_NAME		16
#define	IF_HADDR	8

struct if_data {
	char	if_name[IF_NAME];
	u_char	if_haddr[IF_HADDR];
	u_short	if_hlen;
	short	if_flags;
	struct sockaddr *if_addr;
};

struct	if_data *get_if_data(int family, const char *ifname);
void	free_if_data(struct if_data *);

#endif
